> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Gateways

> List all Gateways.



## OpenAPI

````yaml openapi/ecommerce.yaml get /public/{user_id}/gateways
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/gateways:
    get:
      tags:
        - Gateway
      summary: List Gateways
      description: List all Gateways.
      operationId: listGateways
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: ad
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                          example: 9d880e24-63e7-3821-91a2-db31d2d373cd
                        gateway:
                          type: string
                          example: stripe
                        config:
                          type: object
                          properties:
                            public_key:
                              type: string
                              example: pk_test_51Hxxxxxx
                    example:
                      - uuid: 9d880e24-63e7-3821-91a2-db31d2d373cd
                        gateway: stripe
                        config:
                          public_key: pk_test_51Hxxxxxx
                      - uuid: c58d5e66-6e44-3cd1-92ea-32dc0b2cbe81
                        gateway: stripe
                        config:
                          public_key: pk_test_51Hxxxxxx
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 2
                      per_page:
                        type: integer
                        example: 10
                example:
                  data:
                    - uuid: 9d880e24-63e7-3821-91a2-db31d2d373cd
                      gateway: stripe
                      config:
                        public_key: pk_test_51Hxxxxxx
                    - uuid: c58d5e66-6e44-3cd1-92ea-32dc0b2cbe81
                      gateway: stripe
                      config:
                        public_key: pk_test_51Hxxxxxx
                  meta:
                    current_page: 1
                    total: 2
                    per_page: 10
              example:
                data:
                  - uuid: 9d880e24-63e7-3821-91a2-db31d2d373cd
                    gateway: stripe
                    config:
                      public_key: pk_test_51Hxxxxxx
                  - uuid: c58d5e66-6e44-3cd1-92ea-32dc0b2cbe81
                    gateway: stripe
                    config:
                      public_key: pk_test_51Hxxxxxx
                meta:
                  current_page: 1
                  total: 2
                  per_page: 10
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````